"use strict";

var AWS = require("aws-sdk");

var _require = require("./aws"),
  AwsWrapper = _require.AwsWrapper;

function getDigitalOcean(options) {
  var region = options.region || "nyc3";
  var spacesEndpoint = new AWS.Endpoint(region + ".digitaloceanspaces.com");
  var digitalocean = new AWS.S3({
    endpoint: spacesEndpoint,
    accessKeyId: options.accessKeyId,
    secretAccessKey: options.secretAccessKey
  });

  return new AwsWrapper(digitalocean);
}

module.exports = {
  getDigitalOcean: getDigitalOcean
};
